class GetChiefComplaintReqModel {
  int? patientMRN;
  int? appointmentNo;
  int? episodeId;
  int? episodeID;
  dynamic doctorID;
  int? admissionNo;

  GetChiefComplaintReqModel(
      {this.patientMRN,
      this.appointmentNo,
      this.episodeId,
      this.episodeID,
      this.doctorID,
      this.admissionNo});

  GetChiefComplaintReqModel.fromJson(Map<String, dynamic> json) {
    patientMRN = json['PatientMRN'];
    appointmentNo = json['AppointmentNo'];
    episodeId = json['EpisodeId'];
    episodeID = json['EpisodeID'];
    doctorID = json['DoctorID'];
    admissionNo = json['admissionNo'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['PatientMRN'] = this.patientMRN;
    if (this.appointmentNo != null) {
      data['AppointmentNo'] = this.appointmentNo;
    }
    if (this.episodeId != null) {
      data['EpisodeId'] = this.episodeId;
    }
    if (episodeID != null) {
      data['EpisodeID'] = this.episodeID;
    }
    if (doctorID != null) {
      data['DoctorID'] = this.doctorID;
    }
    if (this.admissionNo != null) {
      data['AdmissionNo'] = this.admissionNo;
    }

    return data;
  }
}
